package md

type HomePageResp struct {
	IsSign            bool   `json:"is_sign"`             // 是否开始签到
	SignEndTime       string `json:"sign_end_time"`       // 签到截止时间
	TotalEggEnergy    string `json:"total_egg_energy"`    // 总蛋蛋能量
	TotalActivePoints string `json:"total_active_points"` // 总蛋蛋积分
	InitialPrice      string `json:"initial_price"`       // 蛋蛋能量初始价格
	NowBasalRate      string `json:"now_basal_rate"`      // 当前基础速率/小时
	NowTeamRate       string `json:"now_team_rate"`       // 当前团队速率/小时
	NickName          string `json:"nick_name"`           // 用户名称
	LeaveTimer        string `json:"leave_timer"`         // 可签到剩余时间 秒
}

type HomePageWatchAdRuleResp struct {
	RewardTotalNum            string `json:"reward_total_num"`              // 总可观看广告数量
	ResidueWatchAdNum         int    `json:"residue_watch_ad_num"`          // 当前剩余可观看视频数
	WatchAdRewardActivePoints string `json:"watch_ad_reward_active_points"` // 观看广告视频奖励X个活跃积分
	NextWatchAdDate           string `json:"next_watch_ad_date"`            // 下次可观看广告时间,若为空允许观看视频
	NextWatchAdSecs           int64  `json:"next_watch_ad_secs"`            // 下次可观看广告时间,若为空允许观看视频
	EachRoundHour             string `json:"each_round_hour"`               // 每一轮X个小时
	RoundRemainingSecs        int64  `json:"round_remaining_secs"`          // 本轮剩余时间
}

type RealTimePriceResp struct {
	UserCount int64  `json:"user_count"` // 用户数
	NowPrice  string `json:"now_price"`  // 当前价格
	IsRises   bool   `json:"is_rises"`   // 是否涨/跌价
	Rises     string `json:"rises"`      // 涨价幅度(百分比)
}

type IsCanSignInResp struct {
	IsCan bool `json:"is_can_sign_in"` // 能否签到
}

type IsCanGetRedPackageResp struct {
	IsCan bool `json:"is_can_get_red_package"` // 能否获取红包
}
