package md

type ConfigResp struct {
	Title        string  `json:"title" example:"软件使用协议标题"`
	Content      string  `json:"content" example:"软件使用协议内容"`
	UserTitle    string  `json:"user_title" example:"用户协议标题"`
	UserUrl      string  `json:"user_url" example:"用户协议链接"`
	PrivacyTitle string  `json:"privacy_title" example:"隐私协议标题"`
	PrivacyUrl   string  `json:"privacy_url" example:"隐私协议链接"`
	OssUrl       string  `json:"oss_url" example:"阿里云图片链接"`
	Guide        []Guide `json:"guide"`
	DownUrl      string  `json:"down_url"`
	DownViewUrl  string  `json:"down_view_url"`
	Seo          Seo     `json:"seo"`
}
type Seo struct {
	SeoTitle string `json:"seo_title" example:"seo"`
	SeoLogo  string `json:"seo_logo"`
	WebLogo  string `json:"web_logo"`
}
type VersionResp struct {
	Version        []Version `json:"version"`
	IsAuditVersion string    `json:"is_audit_version"`
}
type Version struct {
	Type    string `json:"type"`
	Img     string `json:"img"`
	Name    string `json:"name"`
	Version string `json:"version"`
	Url     string `json:"url"`
	Content string `json:"content"`
	IsMust  string `json:"is_must"`
}
type Guide struct {
	BgImage         string `json:"bg_image"`
	BgImageUrl      string `json:"bg_image_url"`
	ContentImage    string `json:"content_image"`
	ContentImageUrl string `json:"content_image_url"`
}
